package com.wechat.model.dto;

import com.wechat.model.requestDto.TMsgBaseDto;

/**
* @author jadyn
* @version 创建时间：Sep 1, 2020 3:28:09 PM
*  类说明
*/
public class WxMiniTMsgMpDto {
	private String appid;
	
	private String template_id;

	private String url;
	
	private WxMiniTMsgProgramDto miniprogram;
	
	private TMsgBaseDto data;
	
	private String miniprogram_state; //跳转小程序类型：developer为开发版；trial为体验版；formal为正式版；默认为正式版

	public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public String getTemplate_id() {
		return template_id;
	}

	public void setTemplate_id(String template_id) {
		this.template_id = template_id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public WxMiniTMsgProgramDto getMiniprogram() {
		return miniprogram;
	}

	public void setMiniprogram(WxMiniTMsgProgramDto miniprogram) {
		this.miniprogram = miniprogram;
	}

	public TMsgBaseDto getData() {
		return data;
	}

	public void setData(TMsgBaseDto data) {
		this.data = data;
	}

	public String getMiniprogram_state() {
		return miniprogram_state;
	}

	public void setMiniprogram_state(String miniprogram_state) {
		this.miniprogram_state = miniprogram_state;
	}
	
	
}
